Name: H5Pget_multi_type
Signature:
  herr_t `H5Pget_multi_type` ( hid_t `fapl_id`, H5FD_mem_t *`type` )
Purpose:
  Retrieves type of data property for `MULTI` driver.
Description:
  `H5Pget_multi_type` retrieves the type of data setting from the file access or data transfer property list `fapl_id`. This enables a user application to specify the type of data the application wishes to access so that the application can retrieve a file handle for low-level access to the particular member of a set of `MULTI` files in which that type of data is stored. The file handle is retrieved with a separate call to `H5Fget_vfd_handle` (or, in special circumstances, to `H5FDget_vfd_handle`; see Virtual File Layer and List of VFL Functions in HDF5 Technical Notes).

  The type of data returned in `type` will be one of those listed in the discussion of the `type` parameter in the the description of the function `H5Pset_multi_type`.

  Use of this function is only appropriate for an HDF5 file written as a set of files with the `MULTI` file driver.

Parameters:

hid_t `fapl_id` | IN: File access property list or data transfer property list identifier.
H5FD_mem_t *`type` | OUT: Type of data.

Returns:
  Returns a non-negative value if successful; otherwise returns a negative value.
Fortran90 Interface:
  None.
History:

Release | C
1.6.0 | Function introduced in this release.